# Uses of Interface
com.opensymphony.module.sitemesh.PageParser

Packages that use PageParser
Package
Description
com.opensymphony.module.sitemesh
com.opensymphony.module.sitemesh.factory
com.opensymphony.module.sitemesh.filter
com.opensymphony.module.sitemesh.multipass
com.opensymphony.module.sitemesh.parser

## Uses of PageParser in com.opensymphony.module.sitemesh

Methods in com.opensymphony.module.sitemesh that return PageParser
Modifier and Type
Method
Description
`abstract PageParser`
Factory.`getPageParser(String contentType)`
Create a PageParser suitable for the given content-type.
`PageParser`
PageParserSelector.`getPageParser(String contentType)`
Create a PageParser suitable for the given content-type.

## Uses of PageParser in com.opensymphony.module.sitemesh.factory

Methods in com.opensymphony.module.sitemesh.factory that return PageParser
Modifier and Type
Method
Description
`PageParser`
BaseFactory.`getPageParser(String contentType)`
Create a PageParser suitable for the given content-type.

## Uses of PageParser in com.opensymphony.module.sitemesh.filter

Fields in com.opensymphony.module.sitemesh.filter declared as PageParser
Modifier and Type
Field
Description
`private final PageParser`
Buffer.`pageParser`
Constructors in com.opensymphony.module.sitemesh.filter with parameters of type PageParser
Modifier
Constructor
Description
``
`Buffer(PageParser pageParser, String encoding)`

## Uses of PageParser in com.opensymphony.module.sitemesh.multipass

Classes in com.opensymphony.module.sitemesh.multipass that implement PageParser
Modifier and Type
Class
Description
`class`
`DivExtractingPageParser`
`class`
`MultipassReplacementPageParser`

## Uses of PageParser in com.opensymphony.module.sitemesh.parser

Classes in com.opensymphony.module.sitemesh.parser that implement PageParser
Modifier and Type
Class
Description
`final class`
`FastPageParser`
Deprecated.
Use HTMLPageParser instead - it performs better and is more extensible.
`class`
`HTMLPageParser`
Builds an HTMLPage object from an HTML document.